Mailinglist Archive: opensuse-bugs (3547 mails)

< Previous Next >
[Bug 721429] New: bs_sched does not honor Obsoletes
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Fri, 30 Sep 2011 09:01:08 +0000
  • Message-id: <bug-721429-21960@http.bugzilla.novell.com/>

https://bugzilla.novell.com/show_bug.cgi?id=721429

https://bugzilla.novell.com/show_bug.cgi?id=721429#c0


Summary: bs_sched does not honor Obsoletes
Classification: Internal Novell Products
Product: openSUSE Build Service
Version: master
Platform: All
OS/Version: Linux
Status: NEW
Severity: Normal
Priority: P5 - None
Component: backend
AssignedTo: mls@xxxxxxxx
ReportedBy: jengelh@xxxxxxxxxx
QAContact: adrian@xxxxxxxx
Found By: Beta-Customer
Blocker: ---


openSUSE:11.4 provides libzzip-0.so.13 in the package "zziplib", and
devel:libraries:c_c++/zziplib has moved to use "libzzip-0-13" instead.

11.4> zziplib-0.13.58-6.1.x86_64.rpm
devel> libzzip-0-13-0.13.58-20.2.x86_64.rpm

libzzip has the proper "Obsoletes: zziplib < 0.13.58-20.2".

When a prj uses

<repository name="openSUSE_11.4">
<path repository="openSUSE_11.4" project="science"/>
<path repository="openSUSE_11.4" project="devel:libraries:c_c++"/>
<arch>x86_64</arch>
<arch>i586</arch>
</repository>

then I get: have choice for libzzip-0.so.13()(64bit): zziplib or libzzip-0-13,
which would indicate bs_sched does not honor Obsoletes.

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
Follow Ups